| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::CameraManagerWrapper Class Referencefinal

Wraps the nkGraphics::CameraManager and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | createOrRetrieve (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | erase (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | rename (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getActiveRenderCamera (const nkScripts::DataStack &stack)

## Detailed Description

Wraps the nkGraphics::CameraManager and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::CameraManagerWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ createOrRetrieve()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraManagerWrapper::createOrRetrieve | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::CameraManager::createOrRetrieve().

local c = nkGraphics.CameraManager.createOrRetrieve("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Camera.

## ◆ erase()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraManagerWrapper::erase | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::CameraManager::erase().

nkGraphics.CameraManager.erase("Hey") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ rename()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraManagerWrapper::rename | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::CameraManager::rename().

nkGraphics.CameraManager.rename("Hey", "Hello") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, empty.

## ◆ getActiveRenderCamera()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::CameraManagerWrapper::getActiveRenderCamera | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::CameraManager::getActiveRenderCamera().

local c = nkGraphics.CameraManager.getActiveRenderCamera() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Camera.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Cameras/CameraManagerWrapper.h